<?php 
    $alike_saved_post_types = get_option( 'alike_saved_post_types' );
    $result = array();
    if( !empty( $alike_saved_post_types ) ) {
            foreach ($alike_saved_post_types as $post_type) {
            $data = new \Alike\Admin\Ra_Admin_Provider();
            $result[$post_type] = $data->get_post_data($post_type);
        }
    }

    wp_localize_script( 'alike_backend', 'ALIKE_DATA', array(
        'postTypes'     => $alike_saved_post_types,
        'initialData'   => $result,
        'selectedData'  => get_option( 'alike_selected_data', true ),
    ));
  
?>

<div class="alike-admin-wrapper">
    <div class="alike-add-post-type alike-d-flex alike-alian-item-center">
        <div class="added-post-type-wrapper">
            <ul class="alike-saved_post_types">
            <?php if(!empty($alike_saved_post_types) && is_array($alike_saved_post_types)){ 
                foreach($alike_saved_post_types as $key=> $postype){ ?>
                <li>
                    <a href="#" class="display-iframe alike-text-decoration-none" data-url="<?php echo esc_url(get_edit_post_link($key)); ?>"><?php echo esc_html(ucfirst($postype)) ?></a>
                    <a href="#" class="alike-remove-item alike-text-decoration-none"data-id="<?php echo esc_attr($key); ?>"></a>
                </li>
            <?php }} ?>
        </ul>
        </div>
        <div class="add-new">
            <a href="javascript:void(0)" class="alike-add-new alike-text-decoration-none"></a>
        </div>
    </div>
    <div class="show-available-posttype alike-popup hide">
        <div class="alike-popup-container">
            <div class="load-ajax-content alike-text-center">

            </div>
            <div class="button-container alike-text-center">
                <button class="alike-add-posttype">Add</button>
                <button class="alike-close-popup">Cancel</button>
            </div>
        </div>
    </div>
    <div class="show-remaning"></div>
    <!-- show register  postype  -->
    <?php 
    
    $args = array(
        'public' => true,
    );
    $post_types = get_post_types( $args, 'objects' );
    $current_post_type = [];
    foreach($post_types as $type){
        if('comparison' != $type->name) {
            $current_post_type[] = $type->name;
        }
    }
    ?>
    
     <div class="not-selected-posttype"><b><?php echo esc_html__('Please select a post type', 'alike'); ?></b></div>
    <div class="select-post-type">
    <div class="container alike-preloader-admin"> 
     <div class="loader"></div>
        <iframe  class="responsive-iframe" src=""></iframe>
    </div>
<?php
// alike_saved_post_types
//alike_selected_data
$options = get_option('alike_saved_post_types');

?>
    </div>
</div>